%define upstream_name	 Bio-ASN1-EntrezGene
%define upstream_version 1.70

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:	Regular expression-based Perl Parser for NCBI Entrez Gene
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Bio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Bio::Index::AbstractSeq)

BuildArch:	noarch


%description
Bio::ASN1::EntrezGene is a regular expression-based Perl Parser for NCBI Entrez
Gene genome databases (http://www.ncbi.nih.gov/entrez/query.fcgi?db=gene). It
parses an ASN.1-formatted Entrez Gene record and returns a data structure that
contains all data items from the gene record.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%check
%make test

%files
%doc Changes META.yml META.json LICENSE
%{perl_vendorlib}/Bio
%{_mandir}/*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.700.0-7.mga6
+ Revision: 1022715
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 1.700.0-6.mga6
+ Revision: 951086
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.700.0-5.mga5
+ Revision: 787842
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.700.0-2.mga4
+ Revision: 536983
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.700.0-1.mga4
+ Revision: 486086
- update to 1.70

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-3.mga3
+ Revision: 363364
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.100.0-2.mga1
+ Revision: 32730
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 29824
- mageia rebuild
- imported package perl-Bio-ASN1-EntrezGene


* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2011.0
+ Revision: 552259
- update to

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.91.0-1mdv2010.1
+ Revision: 504595
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.091-7mdv2010.0
+ Revision: 430266
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.091-6mdv2009.0
+ Revision: 255432
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.091-4mdv2008.1
+ Revision: 133629
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.091-3mdv2007.0
+ Revision: 73338
- import perl-Bio-ASN1-EntrezGene-1.091-3mdv2007.0

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.091-3mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.091-2mdk
- Fix SPEC Using perl Policies
	- Source URL

* Mon Mar 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.091-1mdk
- first mdk release

